#!/bin/ksh

# cf_devinit.sh
#	
# Create all our /dev entries on the flash card...



echo "Generating device files in /dev"

# 
if [ $# = 1 ]; then
  FLASHMOUNT=$1
else
  FLASHMOUNT=/mnt/hd1
fi

mkdir $FLASHMOUNT/dev
chmod a+w $FLASHMOUNT/dev
mkdir $FLASHMOUNT/dev/pts
chmod a+w $FLASHMOUNT/dev/pts

mknod $FLASHMOUNT/dev/console  c   5   1

# Create additional dev files
mknod $FLASHMOUNT/dev/ram1     b   1   1
mknod $FLASHMOUNT/dev/ram2     b   1   2
mknod $FLASHMOUNT/dev/ram3     b   1   3
mknod $FLASHMOUNT/dev/ram4     b   1   4

mknod $FLASHMOUNT/dev/audio    c  14   4
mknod $FLASHMOUNT/dev/audio1   c  14  20
chmod 766 $FLASHMOUNT/dev/audio
chmod 766 $FLASHMOUNT/dev/audio1

mknod $FLASHMOUNT/dev/dsp      c  14   3
mknod $FLASHMOUNT/dev/dsp1     c  14  19
chmod 766 $FLASHMOUNT/dev/dsp
chmod 766 $FLASHMOUNT/dev/dsp1

mknod $FLASHMOUNT/dev/fb0      c  29   0
mknod $FLASHMOUNT/dev/fb1      c  29  32

mknod $FLASHMOUNT/dev/hda      b   3   0
mknod $FLASHMOUNT/dev/hda1     b   3   1
mknod $FLASHMOUNT/dev/hda2     b   3   2
mknod $FLASHMOUNT/dev/kmem     c   1   2
mknod $FLASHMOUNT/dev/mem      c   1   1

# create SCSI devices for usb mass storage driver
mknod $FLASHMOUNT/dev/sda      b   8   0
mknod $FLASHMOUNT/dev/sda1     b   8   1
mknod $FLASHMOUNT/dev/sda2     b   8   2

mknod $FLASHMOUNT/dev/mixer    c  14   0 
mknod $FLASHMOUNT/dev/mixer1   c  14  16
chmod 766 $FLASHMOUNT/dev/mixer
chmod 766 $FLASHMOUNT/dev/mixer1

mknod $FLASHMOUNT/dev/null     c   1   3
chmod a+w $FLASHMOUNT/dev/null

mknod $FLASHMOUNT/dev/tty0     c   4   0
mknod $FLASHMOUNT/dev/tty1     c   4   1
mknod $FLASHMOUNT/dev/tty2     c   4   2
mknod $FLASHMOUNT/dev/tty3     c   4   3
mknod $FLASHMOUNT/dev/tty4     c   4   4

mknod $FLASHMOUNT/dev/ptmx     c   5   2
chmod a+w $FLASHMOUNT/dev/ptmx

mknod $FLASHMOUNT/dev/tty      c   5   0
chmod a+w $FLASHMOUNT/dev/tty*

mknod $FLASHMOUNT/dev/ttyp0    c   3   0
mknod $FLASHMOUNT/dev/ttyp1    c   3   1
mknod $FLASHMOUNT/dev/ttyp2    c   3   2
mknod $FLASHMOUNT/dev/ttyp3    c   3   3
mknod $FLASHMOUNT/dev/ttyp4    c   3   4
chmod a+w $FLASHMOUNT/dev/ttyp*

mknod $FLASHMOUNT/dev/ptyp0    c   2   0
mknod $FLASHMOUNT/dev/ptyp1    c   2   1
mknod $FLASHMOUNT/dev/ptyp2    c   2   2
mknod $FLASHMOUNT/dev/ptyp3    c   2   3
mknod $FLASHMOUNT/dev/ptyp4    c   2   4
chmod a+w $FLASHMOUNT/dev/pty*

mknod $FLASHMOUNT/dev/psaux    c  10   1

# usbmouse - some old usb patches require major/minor to be 180/16
#    usbpatch usb-2.3.50-1-for-2.2.14 requires 10/32. 
#    Newer usb patch  usb-2.3.99-pre7-1-for-2.2.14 requires 13/32
# mknod $FLASHMOUNT/dev/usbmouse c 180 16
# mknod $FLASHMOUNT/dev/usbmouse c  10  32
mknod $FLASHMOUNT/dev/usbmouse c  13  32

mknod $FLASHMOUNT/dev/random   c   1   8

# Necessary for java
mknod $FLASHMOUNT/dev/zero     c   1   5
chmod a+w $FLASHMOUNT/dev/zero

# Create appropriate links
ln -sf /dev/fb0   $FLASHMOUNT/dev/fb
# need to figure out what to do with mouse.... 
ln -sf /tmp/mouse $FLASHMOUNT/dev/mouse

# ------------------------------------------------
# If using old boot code (NS Boot Version: RAMdisk 8/1700),
# the following devices will not be made 
# The new boot code is shipped as part of the install - this is temporary
# ------------------------------------------------


# Printer devices
# printer devices for 2800
mknod $FLASHMOUNT/dev/parallel c   6   0
chown root:daemon $FLASHMOUNT/dev/parallel
chmod 664 $FLASHMOUNT/dev/parallel
# Serial devices
mknod $FLASHMOUNT/dev/ttyS0    c   4  64
mknod $FLASHMOUNT/dev/ttyS1    c   4  65

# Modems
mknod $FLASHMOUNT/dev/cua0     c   5  64
mknod $FLASHMOUNT/dev/cua1     c   5  65
ln -sf /dev/cua0 $FLASHMOUNT/dev/modem

# printer devices for 2200
# mknod $FLASHMOUNT/dev/lp0      c   180   0
mknod $FLASHMOUNT/dev/printer    c   180   0
chown root:daemon $FLASHMOUNT/dev/printer
chmod 664 $FLASHMOUNT/dev/printer
# USB to serial devices
mknod $FLASHMOUNT/dev/ttyUSB0  c    188  0
mknod $FLASHMOUNT/dev/ttyUSB1  c    188  1
mknod $FLASHMOUNT/dev/ttyUSB2  c    188  2
mknod $FLASHMOUNT/dev/ttyUSB3  c    188  3
# usb modems
mknod $FLASHMOUNT/dev/ttyACM0  c    166  0
mknod $FLASHMOUNT/dev/ttyACM1  c    166  1
ln -sf /dev/ttyACM0 $FLASHMOUNT/dev/modem



mknod $FLASHMOUNT/dev/pts/0  c 136 0
mknod $FLASHMOUNT/dev/pts/1  c 136 1
chown root:tty $FLASHMOUNT/dev/pts/0
chown root:tty $FLASHMOUNT/dev/pts/1
chmod g+w $FLASHMOUNT/dev/pts/0
chmod g+w $FLASHMOUNT/dev/pts/1


echo "Done generating device files in /dev"




