#!/bin/bash
#set -x

# Perform the sfdisk command to garner disk information
SFDISKOUT=`/sbin/sfdisk -g /dev/hda`

typeset -i RAMDISK_SIZE=32
typeset -i RAMDISK_SIZE_2ND=16

# Pull the pieces of information we need and store them in variables
typeset -i CYLINDERS=`echo $SFDISKOUT | cut -f2 -d" "`
typeset -i HEADS=`echo $SFDISKOUT | cut -f4 -d" "`
typeset -i SECTORS=`echo $SFDISKOUT | cut -f6 -d" "`

typeset -i SIZE_VAR=$CYLINDERS*$HEADS
typeset -i TOTAL_SIZE=$CYLINDERS*$HEADS*$SECTORS

typeset -i PART1_START=$SECTORS
typeset -i PART2_CYLINDERS=$CYLINDERS-$RAMDISK_SIZE_2ND
typeset -i PART2_START=$PART2_CYLINDERS*HEADS*$SECTORS

typeset -i PART1_SIZE=$PART2_START-$RAMDISK_SIZE
typeset -i PART2_SIZE=$TOTAL_SIZE-$PART2_START

echo "# partition table of /dev/hda" > partition.out
echo "unit: sectors" >> partition.out
echo "" >> partition.out
echo "/dev/hda1 : start= $PART1_START, size= $PART1_SIZE, Id=83" >> partition.out
echo "/dev/hda2 : start= $PART2_START, size= $PART2_SIZE, Id=83" >> partition.out
echo "/dev/hda3 : start= 0, size= 0, Id=0" >> partition.out
echo "/dev/hda4 : start= 0, size= 0, Id=0" >> partition.out

# Do the actual partition
/sbin/sfdisk --force /dev/hda < partition.out
