#!/bin/sh

if [ $# -le 0 ]; then exit 1; fi


expand_path () {

   pathlist=`basename $1`
   last=$1


   while [ "$last" != "/" ]; do
      last=`dirname $last`
      pathlist="`basename $last` $pathlist"
   done

   #echo $pathlist >&2

   return_code=0
   for file in $pathlist 
   do
      if [ "$file" = "/" ]; then
         absfile=$file
      else
         if [ "$absfile" = "/" ]; then
            absfile="/$file"
         else
            absfile="$absfile/$file" 
         fi
      fi

      if [ -L $absfile ]; then
         absfile=`file $absfile | sed s/^.*symbolic\ link\ to\ //`
         return_code=1
      fi

   done

   echo $absfile
   return $return_code
}


path=$*
rc="1"
until [ "$rc" = "0" ]; do 
   path=`expand_path $path`
   rc="$?"
done

echo $path



