
/*============================================================================
  NOTES:
    Definition of SNMP fields

  CHANGES:
    08/15/00 RHG: Initial release

============================================================================*/

#ifndef __SNMPDEF_H
#define __SNMPDEF_H


/* START MIB DEFINITIONS */
#define  tcFirstParameter                                   1

/* Actual MIB definitions start */
#define  tcBootLanguageID                                   1
#define  tcDisplayColorPalette                              2
#define  tcMonitorResolutionRefreshRateValue                3
#define  tcMonitorDDCEnabled                                4
#define  tcTouchPenCalibration                              5
#define  tcLightPenCalibration                              6
#define  tcNetworkStationIPAddress                          7
#define  tcDomainNameServerIpAddr                           8
#define  tcGatewayIpAddress                                 9
#define  tcSecondGatewayIpAddress                           10
#define  tcSubnetMask                                       11
#define  tcTFTPBlockSizeInBytes                             12
#define  tcPrimaryWorkstationConfigServerIPAddress          13
#define  tcPrimaryWorkstationConfigServerDirectory          14
#define  tcPrimaryWorkstationConfigServerUserDefDirectory   15
#define  tcSecondaryWorkstationConfigServerIPAddress        16
#define  tcSecondaryWorkstationConfigServerDirectory        17
#define  tcSecondaryWorkstationConfigServerUserDefDirectory 18
#define  tcPrimaryWorkstationConfigServerProtocol           19
#define  tcSecondaryWorkstationConfigServerProtocol         20
#define  tcPrimaryBootServerIPAddress                       21
#define  tcPrimaryBootServerDirectory                       22
#define  tcPrimaryBootServerUserDefDirectory                23
#define  tcSecondaryBootServerIPAddress                     24
#define  tcSecondaryBootServerDirectory                     25
#define  tcSecondaryBootServerUserDefDirectory              26
#define  tcThirdBootServerIPAddress                         27
#define  tcThirdBootServerDirectory                         28
#define  tcThirdBootServerUserDefDirectory                  29
#define  tcBOOTPPriority                                    30
#define  tcDHCPPriority                                     31
#define  tcNVRAMPriority                                    32
#define  tcLocalPriority                                    33
#define  tcProtocolTFTPPriority                             34
#define  tcProtocolNFSPriority                              35
#define  tcProtocolLocalFlashPriority                       36
#define  tcTokenRingMaxTransmissionSize                     37
#define  tcPrimaryAuthenticationServerIPAddress             38
#define  tcSecondaryAuthenticationServerIPAddress           39
#define  tcPrimaryAuthenticationServerProtocol              40
#define  tcSecondaryAuthenticationServerProtocol            41
#define  tcNumberLockEnabledDuringBoot                      42
#define  tcForceFlashUpdate                                 43
#define  tcFlashCardSize                                    44
#define  tcFlashCardAvailableSpaceInBlocks                  45
#define  tcFlashCardFormattedSizeInBlocks                   46
#define  tcFlashImageUpdateURL                              47
#define  tcFlashImageBOMFileName                            48
#define  tcFlashRegisteredBOMFileName                       49
#define  tcFlashImageCreationDate                           50
#define  tcNSBootVersionIdentifier                          51
#define  tcGenesisSetting                                   52
#define  tcConfigToolEnabled                                53
#define  tcFTPdEnabled                                      54
#define  tcTelnetdEnabled                                   55
#define  tcNVRAMOverrideDHCPServerSettings                  56
#define  tcKioskModeIndicator                               57
#define  tcProductModel                                     58
#define  tcRemoteAccess                                     59
#define  tcBootMenuType                                     60
#define  tcDialAccess                                       61
#define  tcForcePeerRecovery                                62
#define  tcNamedProfileCreate                               63
#define  tcNamedProfileCreateResponse                       64
#define  tcNamedProfileApply                                65
#define  tcNamedProfileApplyResponse                        66
#define  tcExpressFlash                                     67
#define  tcExpressPhaseNumber                               68
#define  tcTouchBOM                                         69
#define  tcLoggedInUser                                     70
#define  tcLinuxCMA                                         71
#define  tcLinuxDistribution                                72

/*  Defined in ??? */
#define  tcMibVersion                                       73
#define  tcPermMacAddress                                   74
#define  tcVitalState                                       75
#define  tcUnitModelNum                                     76
#define  tcUnitSerialNum                                    77

/* End of actual MIB definitions */

#define  tcLastParameter                                    77

/* END MIB DEFINITIONS */


/* START other DEFINITIONS -needed to read/write other parms */
#define  NVFirstParameter                                   101

/* Defined in IBM-TCExt-MIB */
#define  NVwriteCommunityNameAlt                            101
#define  NVwriteCommunityName                               102
#define  NVreadCommunityNameAlt                             103
#define  NVreadCommunityName                                104
#define  NVunitGlobalPassword                               105

#define  NVLastParameter                                    105

/* END NON-MIB DEFINITIONS */


#endif   /* __SNMPDEF_H */
