####################################################
# parse_profile.sed
#
# This sed script file transforms an input profile
# file of the form:
#
# [TAG]
# id1=value1
# id2=value2
# [\TAG]
# [ANOTHER]
# anotherid="another value"
# [\ANOTHER]
#
# into a "sourcable" script that will be used to
# configure initialiazation scripts.
###################################################


# add case statement to begining of input.
1i\
case $CONFIGURATION_SECTION in

# add esac statement to end of input.
$a\
esac

# remove blank lines.
/^$/d

# remove leading whitespace from all lines.
s/[ 	]*//

# shift all non-bracketed input right three spaces.
#/^\[.*\]$/!s/[.]*/   /

# shift all input right three spaces.
#s/^[.]*$/   /

# translate section tags into case statement tags.
/\[LOGIN\]/s/\[LOGIN\]/rc.IBM_NS.login)/
/\[TMP\]/s/\[TMP\]/rc.IBM_NS.tmp)/
/\[MOUNT\]/s/\[MOUNT\]/rc.IBM_NS.mount)/

# translate all end section tags into case end-tags.
/\[\\.*\]/s/.*/;;/



