#!/bin/ash.static
#
# softwareUpdate.sh performs a software update when booted from flash.
#
# It checks the ForceFlashUpdate(43) and the IDFSoftwareUpdate(78) id's in
# nvram.  If they are set a software update is performed.

# need to load nvram device driver
if [ $pf = "1" ]; then
   NS=2800
else
   NS=2200
fi
/etc/rc.d/rc.IBM_NS.loadDDs $NS

if [ ! -f /IBM/autoupdate ]; then
	# if the autoupdate file doesn't exist we can't run this script
	# since we cannot prompt the user for values in non-verbose mode
	exit 1	
fi

/IBM/bin/readNvram 43
/IBM/bin/readNvram 78

if [ `/bin/cat /tmp/snmp/43` = "1" -o `/bin/cat /tmp/snmp/78` = "1" ]; then

   /IBM/bin/writeNvram 78 0
   /IBM/bin/writeNvram 43 0

   mkdir /tmp/var
   mkdir -p /var/lib/dhcp
   # try to bring up a network interface
   /etc/rc.d/rc.IBM_NS.net

   # now create a ram disk to store any utils we will be using...
   # .... cp, lcma
   /sbin/mke2fs -q -m0 /dev/ram1 2048
   if [ ! -d /tmp/update ]; then
      mkdir /tmp/update
   fi
   /bin/mount -n /dev/ram1 /tmp/update
   cp /IBM/bin/lcma /tmp/update
   cp /bin/cp /tmp/update	
   cp /usr/bin/lftp /tmp/update


   mount -t ext2 /dev/hda2 /root
   /etc/rc.d/rc.IBM_NS.var

   export PATH=/tmp/update:$PATH
   /IBM/FlashRecovery/cf_InstallFlashImage.sh 

   sync
   sync
   sync   
   echo 0 > /tmp/reboot 

fi




