#!/bin/sh
###############################################################
# SYNTAX: tcm_backup.sh <output_file> [additional tar arguments]
#
# PURPOSE: Create a tcm backup file named "output_file".
# Additional "tar" options can be passed on the command line, 
# such as the --files-from=<file> option or a list of files
# to back up.
############################################################### 


if [ $# -lt 1 ]; then
   echo "" >&2
   echo "Syntax: $0 <output_file> [additional tar arguments]" >&2
   echo "" >&2
   
   exit 1
fi

# Get version information.
exec < /IBM/version
while read line; do
   name=`echo $line | sed s/=.*//`
   value=`echo $line | sed s/^.*=//` 
   export $name="$value"
done

OUTPUT_FILE=$1
shift

tar -cPpzf $OUTPUT_FILE --ignore-failed-read -V "TCM_BACKUP $linux_dist_rel $linux_dist_ver $linux_dist_date" $*





