#!/bin/sh
#######################################################################
# SYNTAX: tcm_restore_1.2_1.3.sh
#
# PURPOSE: Move, parse (and otherwise "migrate") files in the
# /tmp/tcm/restore sandbox from a 1.2 (SU2) image to a 1.3 (SU3) image.
# Files are not to be moved out of the sandbox, as this is done by the
# /IBM/bin/tcm_restore.sh script once all application migration
# scripts (like this one) have been run.
#
#######################################################################


BASEDIR=/tmp/tcm/restore

# Obsolete files.
rm -f $BASEDIR/etc/xkiosk
rm -f $BASEDIR/etc/inittab
rm -f $BASEDIR/etc/bashrc

# Migrate KIOSK user's home dir in /etc/passwd.
cat /etc/passwd | sed /^KIOSK:x:500:500::/s/root/home/ > /etc/passwd

# Remove ICE stuff. This data should NOT be customized, so we will always
# use the ICE data from the current service update.
rm -rf $BASEDIR/etc/X11/icewm

# Migrate the KIOSK home directory.
rm -f /root/KIOSK/.bash_profile
mkdir -p $BASEDIR/home/
mv $BASEDIR/root/KIOSK/ $BASEDIR/home/

# Force the ownership of the KIOSK home directory files to the KIOSK user.
chown -R KIOSK $BASEDIR/home/KIOSK/
