# --------------------------------------------------------------------------------
#!/bin/sh
#
# /etc/rc.d/rc.IBM_NS.login
#
# PURPOSE: Setup login (gdm) configuration and authentication options.
# --------------------------------------------------------------------------------

# Process configuration profile information. 
. /etc/rc.d/profile.IBM_NS.config


mkdir -p /tmp/etc/gdm

{  
   # Set the "AutomaticLogin" value. Setting this to != "" and != "root" will
   # automatically login that username and skip the login dialog.

   sed 's/^AutomaticLogin=/AutomaticLogin='"$AutomaticLogin"'/' /etc/gdm/template.gdm.conf  | 

   sed 's/^AutomaticLoginEnable=.*/AutomaticLoginEnable='"${AutomaticLoginEnable:-false}"'/' |

   {
      # Set the "Welcome" value. This text is displayed on the login dialog.
      if [ "$Welcome" != "" ]; then
         sed 's/^Welcome=.*/Welcome='"$Welcome"'/'	
      else
         # close the pipe
         cat
      fi
   }

} > /tmp/etc/gdm/gdm.conf


